List User's Event Types

Returns all Event Types associated with a specified User. Use: * `organization` to look up all Event Types that belong to the organization * `user` to look up a user's Event Types in an organization Either `organization` or `user` are required query params when using this endpoint. <Info title="Required scopes"> > `event_types:read` </Info>

Authentication

AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token

Query parameters

activebooleanOptional
Return only active event types if true, only inactive if false, or all event types if this parameter is omitted.
organizationstringOptionalformat: "uri"
View available personal, team, and organization event types associated with the organization's URI.
userstringOptionalformat: "uri"
View available personal, team, and organization event types associated with the user's URI.
user_availability_schedulestringOptionalformat: "uri"

Used in conjunction with user parameter, returns a filtered list of Event Types that use the given primary availability schedule.

sortstringOptionalDefaults to name:asc

Order results by the specified field and direction. Accepts comma-separated list of {field}:{direction} values.Supported fields are: name, position, created_at, updated_at. Sort direction is specified as: asc, desc.

admin_managedbooleanOptional
Return only admin managed event types if true, exclude admin managed event types if false, or include all event types if this parameter is omitted.
page_tokenstringOptional
The token to pass to get the next or previous portion of the collection
countintegerOptional1-100Defaults to 20
The number of rows to return

Response

OK
collectionlist of objects
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error